@echo off

set RP9_ROOT=%WINDIR%\Resources\Icons

echo *****************************
echo Extented icon package for 
echo Revolutions Pack 9
echo *****************************
echo.

if not exist C:\SystemIcons.reg goto backup

:clean
echo.
echo Removing obsolete resources (if any)...
if exist %RP9_ROOT%\XP\*.icl del %RP9_ROOT%\XP\*.icl
if exist %RP9_ROOT%\XP\*.ico del %RP9_ROOT%\XP\*.ico
echo Done.

:install
echo.
echo Resetting icon setup (C:\SystemIcons.reg)...
%WINDIR%\regedit /C /S C:\SystemIcons.reg
echo Done.
echo.
echo Installing resources into %RP9_ROOT%...
xcopy /S /I /Y /Q .\Icons %RP9_ROOT%
echo Done.
echo.
echo Configuring system for default icon setup...
%WINDIR%\regedit /C /S .\Default.reg
goto done

:backup
echo.
echo Warning: the file C:\SystemIcons.reg does not exist!
echo.
echo You need to make a registry backup first. See Readme.txt
echo for more details.
echo.
echo Installation aborted.

:done
echo Done. Press any key.
echo.
